Module java.desktop
Package java.awt

# Enum Class MultipleGradientPaint.CycleMethod

java.lang.Object
java.lang.Enum<MultipleGradientPaint.CycleMethod>
java.awt.MultipleGradientPaint.CycleMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<MultipleGradientPaint.CycleMethod>`, `Constable`

Enclosing class:
  MultipleGradientPaint

public static enum MultipleGradientPaint.CycleMethod extends Enum<MultipleGradientPaint.CycleMethod>
The method to use when painting outside the gradient bounds.

Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NO_CYCLE`
Use the terminal colors to fill the remaining area.
`REFLECT`
Cycle the gradient colors start-to-end, end-to-start to fill the remaining area.
`REPEAT`
Cycle the gradient colors start-to-end, start-to-end to fill the remaining area.

## Method Summary

Modifier and Type
Method
Description
`static MultipleGradientPaint.CycleMethod`
`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static MultipleGradientPaint.CycleMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_CYCLE

public static final MultipleGradientPaint.CycleMethod NO_CYCLE
Use the terminal colors to fill the remaining area.

### REFLECT

public static final MultipleGradientPaint.CycleMethod REFLECT
Cycle the gradient colors start-to-end, end-to-start to fill the remaining area.

### REPEAT

public static final MultipleGradientPaint.CycleMethod REPEAT
Cycle the gradient colors start-to-end, start-to-end to fill the remaining area.

## Method Details

### values

public static MultipleGradientPaint.CycleMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MultipleGradientPaint.CycleMethod valueOf​(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null